data "openstack_networking_network_v2" "public-network" {
  name = var.ip_pool
}

resource "openstack_networking_network_v2" "local-network" {
  name           = "local-network"
  admin_state_up = "true"
}

resource "openstack_networking_subnet_v2" "local-network-subnet" {
  name       = "local-network-subnet"
  network_id = openstack_networking_network_v2.local-network.id
  cidr       = "192.168.0.0/24"
}

resource "openstack_networking_router_v2" "local-router" {
  name                = "local-router"
  admin_state_up      = true
  external_network_id = data.openstack_networking_network_v2.public-network.id
}

resource "openstack_networking_router_interface_v2" "router_interface_1" {
  router_id = openstack_networking_router_v2.local-router.id
  subnet_id = openstack_networking_subnet_v2.local-network-subnet.id
}
